Package com.collibra.dgc.core.api.dto.role

# Enum Class FindRolesRequest.TypeMatchMode

Object
Enum<FindRolesRequest.TypeMatchMode>
TypeMatchMode

All Implemented Interfaces:
  `Serializable`, `Comparable<FindRolesRequest.TypeMatchMode>`, `Constable`

Enclosing class:
  `FindRolesRequest`

public static enum FindRolesRequest.TypeMatchMode extends Enum<FindRolesRequest.TypeMatchMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `GLOBAL`
  `RESOURCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindRolesRequest.TypeMatchMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FindRolesRequest.TypeMatchMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final FindRolesRequest.TypeMatchMode ALL

  - ### GLOBAL

    public static final FindRolesRequest.TypeMatchMode GLOBAL

  - ### RESOURCE

    public static final FindRolesRequest.TypeMatchMode RESOURCE

- ## Method Details

  - ### values

    public static FindRolesRequest.TypeMatchMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FindRolesRequest.TypeMatchMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null